/*!
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */

export interface HTMLElementAttributes {
  [name: string]: string;
}

export const AccessibleElements = {
  a: true,
  area: true,
  article: true,
  aside: true,
  body: true,
  button: true,
  datalist: true,
  details: true,
  dialog: true,
  dl: true,
  form: true,
  h1: true,
  h2: true,
  h3: true,
  h4: true,
  h5: true,
  h6: true,
  hr: true,
  iframe: true,
  img: true,
  input: true,
  li: true,
  link: true,
  main: true,
  menu: true,
  menuitem: true,
  meter: true,
  nav: true,
  object: true,
  ol: true,
  option: true,
  progress: true,
  section: true,
  select: true,
  tbody: true,
  textarea: true,
  tfoot: true,
  th: true,
  thead: true,
  ul: true,
};

export const AccessibilityAttributes = {
  role: true,
  tabindex: true,
  disabled: true,
  required: true,
  readonly: true,
  hidden: true,
  'aria-activedescendant': true,
  'aria-atomic': true,
  'aria-autocomplete': true,
  'aria-busy': true,
  'aria-checked': true,
  'aria-colcount': true,
  'aria-colindex': true,
  'aria-colspan': true,
  'aria-controls': true,
  'aria-current': true,
  'aria-describedby': true,
  'aria-details': true,
  'aria-disabled': true,
  'aria-dropeffect': true,
  'aria-errormessage': true,
  'aria-expanded': true,
  'aria-flowto': true,
  'aria-grabbed': true,
  'aria-haspopup': true,
  'aria-hidden': true,
  'aria-invalid': true,
  'aria-keyshortcuts': true,
  'aria-label': true,
  'aria-labelledby': true,
  'aria-level': true,
  'aria-live': true,
  'aria-modal': true,
  'aria-multiline': true,
  'aria-multiselectable': true,
  'aria-orientation': true,
  'aria-owns': true,
  'aria-placeholder': true,
  'aria-posinset': true,
  'aria-pressed': true,
  'aria-readonly': true,
  'aria-relevant': true,
  'aria-required': true,
  'aria-roledescription': true,
  'aria-rowcount': true,
  'aria-rowindex': true,
  'aria-rowspan': true,
  'aria-selected': true,
  'aria-setsize': true,
  'aria-sort': true,
  'aria-valuemax': true,
  'aria-valuemin': true,
  'aria-valuenow': true,
  'aria-valuetext': true,
};
