## API Report File for "@fluentui/react-button"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { BaseSlots } from '@fluentui/react-compose';
import { ColorPlateSet } from '@fluentui/react-theme-provider';
import { ComponentProps } from '@fluentui/react-compose';
import { ComposePreparedOptions } from '@fluentui/react-compose';
import { IContextualMenuProps } from 'office-ui-fabric-react';
import * as React from 'react';
import { SlotProp } from '@fluentui/react-compose';
import { SlotProps } from '@fluentui/react-compose';

// @public (undocumented)
export const Button: import("@fluentui/react-compose").ComponentWithAs<"button", ButtonProps>;

// @public (undocumented)
export const ButtonBase: import("@fluentui/react-compose").ComponentWithAs<"button", ButtonProps>;

// @public (undocumented)
export interface ButtonProps extends ComponentProps, React.HTMLAttributes<HTMLButtonElement> {
    circular?: boolean;
    componentRef?: React.RefObject<ButtonRef>;
    disabled?: boolean;
    fluid?: boolean;
    icon?: SlotProp<React.HTMLAttributes<HTMLSpanElement>>;
    iconOnly?: boolean;
    iconPosition?: 'before' | 'after';
    inverted?: boolean;
    loader?: SlotProp<React.HTMLAttributes<HTMLSpanElement>>;
    loading?: boolean;
    primary?: boolean;
    secondary?: boolean;
    size?: SizeValue;
    // Warning: (ae-forgotten-export) The symbol "RecursivePartial" needs to be exported by the entry point index.d.ts
    tokens?: RecursivePartial<ButtonTokens>;
}

// @public (undocumented)
export interface ButtonRef {
    focus: () => void;
}

// @public (undocumented)
export type ButtonSlotProps = SlotProps<ButtonSlots, ButtonProps, React.ButtonHTMLAttributes<HTMLButtonElement>>;

// @public (undocumented)
export interface ButtonSlots extends BaseSlots {
    // (undocumented)
    icon: React.ElementType;
    // (undocumented)
    loader: React.ElementType;
}

// @public (undocumented)
export interface ButtonState extends ButtonProps {
    // (undocumented)
    buttonRef?: React.RefObject<HTMLButtonElement>;
}

// @public (undocumented)
export type ButtonTokens = ColorPlateSet & {
    padding: string;
    margin: string;
    height: string;
    minWidth: string;
    maxWidth: string;
    contentGap: string;
    iconSize: string;
    borderRadius: string;
    borderWidth: string;
    boxShadow: string;
    width: string;
    size: {
        smallest: string;
        smaller: string;
        small: string;
        regular: string;
        large: string;
        larger: string;
        largest: string;
    };
    transform: string;
    transition: string;
    fontFamily: string;
    fontSize: string;
    fontWeight: string;
    pressed: {
        transform: string;
    };
};

// @public (undocumented)
export const MenuButton: import("@fluentui/react-compose").ComponentWithAs<"button", MenuButtonProps>;

// @public (undocumented)
export const MenuButtonBase: import("@fluentui/react-compose").ComponentWithAs<"button", MenuButtonProps>;

// @public (undocumented)
export interface MenuButtonProps extends Omit<ButtonProps, 'icon' | 'iconPosition' | 'loader'> {
    defaultExpanded?: boolean;
    expanded?: boolean;
    menu?: SlotProp<IContextualMenuProps>;
    menuIcon?: SlotProp<React.HTMLAttributes<HTMLSpanElement>>;
    onMenuDismiss?: () => void;
}

// @public (undocumented)
export type MenuButtonSlotProps = SlotProps<MenuButtonSlots, MenuButtonProps, React.ButtonHTMLAttributes<HTMLButtonElement>>;

// @public (undocumented)
export interface MenuButtonSlots extends BaseSlots {
    // (undocumented)
    menu: React.ElementType;
    // (undocumented)
    menuIcon: React.ElementType;
}

// @public (undocumented)
export interface MenuButtonState extends MenuButtonProps, Omit<ButtonState, 'icon' | 'iconPosition' | 'loader'> {
}

// @public (undocumented)
export type MenuButtonTokens = ButtonTokens;

// @public (undocumented)
export type SizeValue = 'smallest' | 'smaller' | 'small' | 'medium' | 'large' | 'larger' | 'largest';

// @public (undocumented)
export const ToggleButton: import("@fluentui/react-compose").ComponentWithAs<"button", ToggleButtonProps>;

// @public (undocumented)
export const ToggleButtonBase: import("@fluentui/react-compose").ComponentWithAs<"button", ToggleButtonProps & ButtonProps>;

// @public (undocumented)
export interface ToggleButtonProps extends ButtonProps {
    checked?: boolean;
    defaultChecked?: boolean;
}

// @public (undocumented)
export type ToggleButtonSlotProps = SlotProps<ToggleButtonSlots, ToggleButtonProps, React.ButtonHTMLAttributes<HTMLButtonElement>>;

// @public (undocumented)
export interface ToggleButtonSlots extends ButtonSlots {
}

// @public (undocumented)
export interface ToggleButtonState extends ToggleButtonProps {
}

// @public (undocumented)
export interface ToggleProps {
    // (undocumented)
    checked?: boolean;
    // (undocumented)
    defaultChecked?: boolean;
    // (undocumented)
    onClick?: React.DOMAttributes<HTMLElement>['onClick'];
}

// @public (undocumented)
export interface ToggleState extends ToggleProps {
}

// @public
export const useButton: (props: ButtonProps, ref: React.Ref<HTMLElement>, options: ComposePreparedOptions<{}, any, {}>) => ButtonState;

// @public
export const useMenuButton: (props: MenuButtonProps, ref: React.Ref<HTMLElement>, options: ComposePreparedOptions<{}, any, {}>) => MenuButtonState;

// @public
export const useToggle: <TProps, TState extends TProps = TProps>(props: TProps & ToggleProps) => TState & ToggleState;


// (No @packageDocumentation comment for this package)

```
