## API Report File for "@fluentui/react-theme-provider"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import * as React from 'react';

// @public (undocumented)
export type ColorPlateSet = ColorTokens & ColorTokenStates;

// @public
export type ColorTokens = Partial<{
    background: string;
    contentColor: string;
    subTextColor: string;
    linkColor: string;
    iconColor: string;
    borderColor: string;
    dividerColor: string;
    focusColor: string;
    focusInnerColor: string;
}>;

// @public
export type ColorTokenStates = Partial<{
    hovered: ColorTokens;
    pressed: ColorTokens;
    disabled: ColorTokens;
    checked: ColorTokens;
    checkedHovered: ColorTokens;
    checkedPressed: ColorTokens;
}>;

// @public (undocumented)
export type FontTokens = Partial<{
    fontFamily: string;
    fontSize: string;
    fontWeight: string;
}>;

// @public (undocumented)
export const getStyleFromPropsAndOptions: <TProps extends StyleProps<import("./types").ColorPlateSet>, TOptions extends StyleOptions<TProps>>(props: TProps, options: TOptions, prefix?: string | undefined) => import("react").CSSProperties;

// @public
export const mergeThemes: (...themes: (Theme | PartialTheme | undefined)[]) => Theme;

// @public
export interface PartialTheme extends RecursivePartial<Theme> {
}

// @public
export type RecursivePartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? RecursivePartial<U>[] : T[P] extends object ? RecursivePartial<T[P]> : T[P];
};

// @public (undocumented)
export interface StyleOptions<TProps> {
    // (undocumented)
    slotProps: ((props: TProps) => Record<string, object>)[];
}

// @public
export interface StyleProps<TTokens extends ColorPlateSet = ColorPlateSet> {
    // (undocumented)
    style?: React.CSSProperties;
    // (undocumented)
    tokens?: TTokens;
}

// @public
export interface Theme {
    // (undocumented)
    stylesheets: string[];
    // (undocumented)
    tokens: {
        body: ColorPlateSet & TokenSetType;
        [key: string]: TokenSetType;
    };
}

// @public
export const ThemeProvider: React.ForwardRefExoticComponent<ThemeProviderProps & React.RefAttributes<HTMLDivElement>>;

// @public
export interface ThemeProviderProps extends React.HTMLAttributes<HTMLDivElement> {
    theme?: PartialTheme | Theme;
}

// @public
export type TokenSetType = string | {
    [key: string]: TokenSetType | undefined;
};

// @public (undocumented)
export const tokensToStyleObject: (tokens?: {
    [key: string]: string | {
        [key: string]: string | any | undefined;
    } | undefined;
} | undefined, prefix?: string | undefined, style?: {
    [key: string]: string | number | undefined;
}) => import("react").CSSProperties;

// @public
export const useTheme: () => Theme;


// (No @packageDocumentation comment for this package)

```
